# MA-plot from base means and log fold changes

`degMA.Rd`

MA-plot addaptation to show the shrinking effect.

    degMA(results, title = NULL, label_points = NULL,
      label_column = "symbol", limit = NULL, diff = 5, raw = FALSE,
      correlation = FALSE)

## Arguments

results | DEGSet class.
title | Optional. Plot title.
label_points | Optionally label these particular points.
label_column | Match label_points to this column in the results.
limit | Absolute maximum to plot on the log2FoldChange.
diff | Minimum difference between logFoldChange before and after shrinking.
raw | Whether to plot just the unshrunken log2FC.
correlation | Whether to plot the correlation of the two logFCs.

## Value

MA-plot ggplot.

## Examples

    library(DESeq2)
    dds <- makeExampleDESeqDataSet(betaSD=1)
    dds <- DESeq(dds)#> estimating size factors#> estimating dispersions#> gene-wise dispersion estimates#> mean-dispersion relationship#> final dispersion estimates#> fitting model and testingres <- degComps(dds, contrast = list("condition_B_vs_A"))#> Doing 1 element(s).#> Doing results() for each element.#> Doing lcfSrink() for each element.#> using 'normal' for LFC shrinkage, the Normal prior from Love et al (2014).
    #>
    #> Note that type='apeglm' and type='ashr' have shown to have less bias than type='normal'.
    #> See ?lfcShrink for more details on shrinkage type, and the DESeq2 vignette.
    #> Reference: https://doi.org/10.1093/bioinformatics/bty895degMA(res)